summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/3rd_party_ci/odl-netvirt.yml3
-rwxr-xr-xjjb/apex/apex-deploy.sh2
-rw-r--r--jjb/apex/apex-snapshot-deploy.sh28
-rw-r--r--jjb/apex/apex.yml30
-rw-r--r--jjb/copper/copper.yml8
-rw-r--r--jjb/daisy4nfv/daisy-project-jobs.yml12
-rw-r--r--jjb/daisy4nfv/daisy4nfv-verify-jobs.yml6
-rwxr-xr-xjjb/functest/functest-cleanup.sh5
-rwxr-xr-xjjb/functest/set-functest-env.sh3
-rw-r--r--jjb/global/installer-params.yml2
-rw-r--r--jjb/releng/opnfv-lint.yml2
11 files changed, 77 insertions, 24 deletions
diff --git a/jjb/3rd_party_ci/odl-netvirt.yml b/jjb/3rd_party_ci/odl-netvirt.yml
index 7a9998433..470e4335e 100644
--- a/jjb/3rd_party_ci/odl-netvirt.yml
+++ b/jjb/3rd_party_ci/odl-netvirt.yml
@@ -128,7 +128,8 @@
- name: 'functest-netvirt-virtual-suite-{stream}'
predefined-parameters: |
DEPLOY_SCENARIO=os-odl_l3-nofeature-ha
- FUNCTEST_SUITE_NAME=healthcheck
+ FUNCTEST_SUITE_NAME=tempest_smoke_serial
+ RC_FILE_PATH=$HOME/cloner-info/overcloudrc
node-parameters: true
kill-phase-on: FAILURE
abort-all-job: false
diff --git a/jjb/apex/apex-deploy.sh b/jjb/apex/apex-deploy.sh
index b68225f15..dc70488e7 100755
--- a/jjb/apex/apex-deploy.sh
+++ b/jjb/apex/apex-deploy.sh
@@ -183,6 +183,8 @@ if [[ "$JOB_NAME" == *virtual* ]]; then
# settings for virtual deployment
if [ "$IPV6_FLAG" == "True" ]; then
NETWORK_FILE="${NETWORK_SETTINGS_DIR}/network_settings_v6.yaml"
+ elif echo ${DEPLOY_SCENARIO} | grep fdio; then
+ NETWORK_FILE="${NETWORK_SETTINGS_DIR}/network_settings_vpp.yaml"
else
NETWORK_FILE="${NETWORK_SETTINGS_DIR}/network_settings.yaml"
fi
diff --git a/jjb/apex/apex-snapshot-deploy.sh b/jjb/apex/apex-snapshot-deploy.sh
index 773edd228..8274740c8 100644
--- a/jjb/apex/apex-snapshot-deploy.sh
+++ b/jjb/apex/apex-snapshot-deploy.sh
@@ -81,6 +81,12 @@ if [ -z "$virsh_networks" ]; then
exit 1
fi
+echo "Checking overcloudrc"
+if ! stat overcloudrc; then
+ echo "ERROR: overcloudrc does not exist in snap unpack"
+ exit 1
+fi
+
for network_def in ${virsh_networks}; do
sudo virsh net-create ${network_def}
network=$(echo ${network_def} | awk -F '.' '{print $1}')
@@ -96,9 +102,19 @@ for network_def in ${virsh_networks}; do
sudo ip addr add 192.0.2.99/24 dev br-admin
sudo ip link set up dev br-admin
elif [ "br-${network}" == 'br-external' ]; then
- echo "Configuring IP 192.168.37.99 on br-external"
- sudo ip addr add 192.168.37.99/24 dev br-external
+ echo "Configuring IP 192.168.37.1 on br-external"
+ sudo ip addr add 192.168.37.1/24 dev br-external
sudo ip link set up dev br-external
+ # Routes for admin network
+ # The overcloud controller is multi-homed and will fail to respond
+ # to traffic from the functest container due to reverse-path-filtering
+ # This route allows reverse traffic, by forcing admin network destined
+ # traffic through the external network for controller IPs only.
+ # Compute nodes have no ip on external interfaces.
+ controller_ips=$(cat overcloudrc | grep -Eo "192.0.2.[0-9]+")
+ for ip in $controller_ips; do
+ sudo ip route add ${ip}/32 dev br-external
+ done
fi
fi
done
@@ -120,17 +136,11 @@ for node_def in ${virsh_vm_defs}; do
echo "Node: ${node} started"
done
-echo "Checking overcloudrc"
-if ! stat overcloudrc; then
- echo "ERROR: overcloudrc does not exist in snap unpack"
- exit 1
-fi
-
# copy overcloudrc for functest
mkdir -p $HOME/cloner-info
cp -f overcloudrc $HOME/cloner-info/
-admin_controller_ip=$(cat overcloudrc | grep -Eo "192.0.2.[0-9]+")
+admin_controller_ip=$(cat overcloudrc | grep -Eo -m 1 "192.0.2.[0-9]+")
netvirt_url="http://${admin_controller_ip}:8081/restconf/operational/network-topology:network-topology/topology/netvirt:1"
source overcloudrc
diff --git a/jjb/apex/apex.yml b/jjb/apex/apex.yml
index e3f0f53bc..ff9fbec14 100644
--- a/jjb/apex/apex.yml
+++ b/jjb/apex/apex.yml
@@ -672,6 +672,36 @@
build-step-failure-threshold: 'never'
failure-threshold: 'never'
unstable-threshold: 'FAILURE'
+ - trigger-builds:
+ - project: 'apex-deploy-baremetal-os-odl-gluon-noha-{stream}'
+ predefined-parameters: |
+ BUILD_DIRECTORY=apex-build-{stream}/.build
+ OPNFV_CLEAN=yes
+ git-revision: true
+ same-node: true
+ block-thresholds:
+ build-step-failure-threshold: 'never'
+ block: true
+ - trigger-builds:
+ - project: 'functest-apex-{daily-slave}-daily-{stream}'
+ predefined-parameters:
+ DEPLOY_SCENARIO=os-odl-gluon-noha
+ block: true
+ same-node: true
+ block-thresholds:
+ build-step-failure-threshold: 'never'
+ failure-threshold: 'never'
+ unstable-threshold: 'FAILURE'
+ - trigger-builds:
+ - project: 'yardstick-apex-{slave}-daily-{stream}'
+ predefined-parameters:
+ DEPLOY_SCENARIO=os-odl-gluon-noha
+ block: true
+ same-node: true
+ block-thresholds:
+ build-step-failure-threshold: 'never'
+ failure-threshold: 'never'
+ unstable-threshold: 'FAILURE'
# Colorado Build
- job-template:
name: 'apex-build-colorado'
diff --git a/jjb/copper/copper.yml b/jjb/copper/copper.yml
index eff66ba29..ea1af473c 100644
--- a/jjb/copper/copper.yml
+++ b/jjb/copper/copper.yml
@@ -59,4 +59,10 @@
builders:
- shell: |
- echo "Nothing to verify!"
+ #!/bin/bash
+ set -o errexit
+ set -o nounset
+ set -o pipefail
+
+ cd $WORKSPACE/ci
+ shellcheck -f tty tests/*.sh
diff --git a/jjb/daisy4nfv/daisy-project-jobs.yml b/jjb/daisy4nfv/daisy-project-jobs.yml
index f712adb0a..156740980 100644
--- a/jjb/daisy4nfv/daisy-project-jobs.yml
+++ b/jjb/daisy4nfv/daisy-project-jobs.yml
@@ -182,21 +182,21 @@
name: 'daisy-build-daily-macro'
builders:
- shell:
- !include-raw-escape: ./daisy4nfv-basic.sh
+ !include-raw: ./daisy4nfv-basic.sh
- shell:
- !include-raw-escape: ./daisy4nfv-build.sh
+ !include-raw: ./daisy4nfv-build.sh
- shell:
- !include-raw-escape: ./daisy4nfv-upload-artifact.sh
+ !include-raw: ./daisy4nfv-upload-artifact.sh
- shell:
- !include-raw-escape: ./daisy4nfv-workspace-cleanup.sh
+ !include-raw: ./daisy4nfv-workspace-cleanup.sh
- builder:
name: 'daisy-deploy-daily-macro'
builders:
- shell:
- !include-raw-escape: ./daisy4nfv-download-artifact.sh
+ !include-raw: ./daisy4nfv-download-artifact.sh
- shell:
- !include-raw-escape: ./daisy4nfv-deploy.sh
+ !include-raw: ./daisy4nfv-deploy.sh
- builder:
name: 'daisy-test-daily-macro'
diff --git a/jjb/daisy4nfv/daisy4nfv-verify-jobs.yml b/jjb/daisy4nfv/daisy4nfv-verify-jobs.yml
index febce6f82..ee82c14b2 100644
--- a/jjb/daisy4nfv/daisy4nfv-verify-jobs.yml
+++ b/jjb/daisy4nfv/daisy4nfv-verify-jobs.yml
@@ -169,11 +169,11 @@
name: 'daisy-verify-build-macro'
builders:
- shell:
- !include-raw-escape: ./daisy4nfv-basic.sh
+ !include-raw: ./daisy4nfv-basic.sh
- shell:
- !include-raw-escape: ./daisy4nfv-build.sh
+ !include-raw: ./daisy4nfv-build.sh
- shell:
- !include-raw-escape: ./daisy4nfv-workspace-cleanup.sh
+ !include-raw: ./daisy4nfv-workspace-cleanup.sh
#####################################
# parameter macros
diff --git a/jjb/functest/functest-cleanup.sh b/jjb/functest/functest-cleanup.sh
index 3ef9b90dd..fc277b9ed 100755
--- a/jjb/functest/functest-cleanup.sh
+++ b/jjb/functest/functest-cleanup.sh
@@ -15,7 +15,10 @@ if [[ -n ${dangling_images} ]]; then
echo " Removing $FUNCTEST_IMAGE:<none> images and their containers..."
for image_id in "${dangling_images[@]}"; do
echo " Removing image_id: $image_id and its containers"
- docker ps -a | grep $image_id | awk '{print $1}'| xargs docker rm -f >${redirect}
+ containers=$(docker ps -a | grep $image_id | awk '{print $1}')
+ if [[ -n "$containers" ]];then
+ docker rm -f $containers >${redirect}
+ fi
docker rmi $image_id >${redirect}
done
fi
diff --git a/jjb/functest/set-functest-env.sh b/jjb/functest/set-functest-env.sh
index 5224793dc..abec480dc 100755
--- a/jjb/functest/set-functest-env.sh
+++ b/jjb/functest/set-functest-env.sh
@@ -14,8 +14,9 @@ if [[ ${INSTALLER_TYPE} == 'joid' ]]; then
fi
if [[ ${RC_FILE_PATH} != '' ]] && [[ -f ${RC_FILE_PATH} ]] ; then
+ echo "Credentials file detected: ${RC_FILE_PATH}"
# volume if credentials file path is given to Functest
- rc_file_vol="-v $RC_FILE_PATH:/home/opnfv/functest/conf/openstack.creds"
+ rc_file_vol="-v ${RC_FILE_PATH}:/home/opnfv/functest/conf/openstack.creds"
fi
diff --git a/jjb/global/installer-params.yml b/jjb/global/installer-params.yml
index c3e775681..fc9f34a48 100644
--- a/jjb/global/installer-params.yml
+++ b/jjb/global/installer-params.yml
@@ -122,7 +122,7 @@
description: 'IP of the installer'
- string:
name: INSTALLER_TYPE
- default: netvirt
+ default: apex
description: 'Installer used for deploying OPNFV on this POD'
- string:
name: EXTERNAL_NETWORK
diff --git a/jjb/releng/opnfv-lint.yml b/jjb/releng/opnfv-lint.yml
index 4de47e87e..37cdef28f 100644
--- a/jjb/releng/opnfv-lint.yml
+++ b/jjb/releng/opnfv-lint.yml
@@ -53,7 +53,7 @@
comment-contains-value: 'reverify'
projects:
- project-compare-type: 'REG_EXP'
- project-pattern: 'functest|sdnvpn|qtip|daisy|sfc|escalator'
+ project-pattern: 'functest|sdnvpn|qtip|daisy|sfc|escalator|releng'
branches:
- branch-compare-type: 'ANT'
branch-pattern: '**/{branch}'